httpd-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Leonay Wynn <lwkj...@gmail.com>
Subject [users@httpd] .so modules not being created Apache 2.4.18
Date Tue, 29 Mar 2016 17:52:42 GMT
I need to upgrade from 2.2 to to 2.4

i used  ./configure --prefix=/apps/httpd --enable-ssl
--with-ssl=/usr/local/ssl --with-mpm=worker --enable-module=headers

as well as
 ./configure --prefix=/apps/httpd --enable-so --enable-ssl
--with-ssl=/usr/local/ssl --with-mpm=worker --enable-module=headers

and neither are creating any .so files. when i look in the modules
directory it is populated with .a and .la files only.

does anyone know what i need to do to create the proper.so files. I tried
to copy from my old setup but looks like they are not compatible.

first one its complaining about is mod_headers.so

from my httpd.conf

LoadModule headers_module modules/mod_headers.so

<IfModule !mpm_netware_module>
<IfModule !mpm_winnt_module>


thanks in advance for any help

Mime
View raw message